// LessonA06View.h : interface of the CLessonA06View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_LESSONA06VIEW_H__411727B7_7ACA_419C_9F7D_0828321E7836__INCLUDED_)
#define AFX_LESSONA06VIEW_H__411727B7_7ACA_419C_9F7D_0828321E7836__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Chart.h"
#if defined(_UNICODE) || defined(UNICODE)
#	pragma comment(lib,"CChartu.lib")
#else
#	pragma comment(lib,"CChart.lib")
#endif
using namespace NsCChart;

class CLessonA06View : public CView
{
protected: // create from serialization only
	CLessonA06View();
	DECLARE_DYNCREATE(CLessonA06View)

// Attributes
public:
	CLessonA06Doc* GetDocument();

// Operations
public:
	CChart m_Chart1, m_Chart2;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLessonA06View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CLessonA06View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CLessonA06View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in LessonA06View.cpp
inline CLessonA06Doc* CLessonA06View::GetDocument()
   { return (CLessonA06Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LESSONA06VIEW_H__411727B7_7ACA_419C_9F7D_0828321E7836__INCLUDED_)
